<!DOCTYPE book PUBLIC "-//KDE//DTD DocBook V3.1-Based Variant V1.0//EN" [
 <!ENTITY kmidi "<application>kmidi</application>">
 <!ENTITY % addindex "IGNORE">
 <![ %addindex; [ <!ENTITY docindex SYSTEM "docindex.docbook"> ]]>
]>
<book lang="pt-BR">
<bookinfo>
<title>Manual do KMidi</title>
<authorgroup>
<author>
<firstname>Bernd Johannes</firstname>
<surname>Wuebben</surname>
<affiliation>
<address><email><ulink url="mailto:wuebben@kde.org">wuebben@kde.org</ulink></email></address>
</affiliation>
</author>
<author>
<firstname>Greg</firstname>
<surname>Lee</surname>
<affiliation>
<address><email><ulink url="mailto:lee@hawaii.edu">lee@hawaii.edu</ulink></email></address>
</affiliation>
</author>
</authorgroup>
<date>17 Junho 1998</date>
<releaseinfo>Versão 1.1</releaseinfo>
<abstract>
<para>Este manual descreve o KMidi versão 1.1</para>
</abstract>
<keywordset>
<keyword>KDE</keyword>
<keyword>KMidi</keyword>
<keyword>midi player</keyword>
</keywordset>
</bookinfo>

<chapter id="introducao">
<title>Introdução</title>

<para>Kmidi é um reprodutor de arquivos MIDI e conversor do formato MIDI para
o formato WAV.</para>

<para>Se você já desistiu do MIDI sob Linux/Unix, tente este programa ! Sem
hardware de alto preço como as placas Gravis Ultrasound ou Sound Blaster
AWE64, você conseguirá um som fantástico, comparável ao que você
obteria com as placas mencionadas, DE GRAÇA !</para>

<para>O outro lado da moeda:</para>

<para><itemizedlist>
<listitem>
<para> KMidi usará bastante seu processador, tipicamente 10-30&percnt; numa
freqüência de amostragem de 32000 Hz
no Pentium 120 do autor. Se você tem uma máquina mais lenta, basta usar
as opções de linha de comando para reduzir a freqüência de amostragem.
Você deve ser capaz de obter um som bastante decente mesmo em um 486,
sem sobrecarregar a máquina.
</para>
</listitem>
<listitem>
<para>Você precisa de arquivos complementares de som. Você pode conseguir
um conjunto completo de arquivos de som para General MIDI em qualquer
site-arquivo da Ultrasound. A necessidade de espaço em disco para esses
arquivos gira em torno de 10 MB.
</para>
</listitem>
</itemizedlist>
</para>

<para>Acredite em mim, pelo som que você obterá, o preço é muito pequeno !</para>

<para>O KMidi suporta no momento (versão 1.1) as seguintes plataformas:</para>

<para><itemizedlist>
<listitem>
<para>Linux</para>
</listitem>
<listitem>
<para>FreeBSD</para>
</listitem>
<listitem>
<para>DEC OSF/1</para>
</listitem>
<listitem>
<para>HP UX</para>
</listitem>
<listitem>
<para>SUN</para>
</listitem>
<listitem>
<para>SUN SOLARIS</para>
</listitem>
</itemizedlist>
</para>

<para>A versão alternativa (não-KDE) do TiMidity também deve funcionar em
todas essas plataformas, mas essa versão foi testada apenas no Linux.</para>

<para>Portar para outras plataformas deve ser fácil. Queira contactar-me se
você portar o KMidi para outra plataforma.</para>

<para>O Kmidi usa o aplicativo TiMidity 0.2i, de Tuuka Toivonen,
Copyright (C) 1995 <ulink url="mailto:toivonen@clinet.fi">Tukka Toivonen</ulink>.
Na verdade, é uma versão melhorada do programa original de Tuuka com
cinco interfaces de usuário alternativas. (Veja mais abaixo para obter
informações sobre como compilar o TiMidity.)
KMidi e TiMidity usam as extensões AWE SoundFont escritas por
<ulink url="mailto:iwai@dragon.mm.t.u-tokyo.ac.jp">Takashi Iwai</ulink>
e as extensões AMD InterWave escritas por
<ulink url="mailto:lee@hawaii.edu">Greg Lee</ulink>,
que lhe permitem usar as SoundFonts (arquivos .sbk/.sf2)
e conjuntos de arquivos complementares IW (arquivos .fff/.dat) em adição
aos arquivos .pat Gravis/Forte.</para>

<para>Para detalhes sobre o uso que podem não estar cobertos nesse manual, veja
a pagina <literal remap="tt">man</literal> para o <literal remap="tt">timidity(1)</literal>.</para>

<para>Digo que esta é uma versão experimental do KMidi, ainda tem algumas
arestas, e tenho certeza de que se você tentar bastante, conseguirá
fazer o KMidi falhar; mesmo assim acredito que o KMidi ja' é operacional
o suficiente e lhe dará horas e horas de divertimento. Lembre que arquivos
MIDI sao tipicamente menores que 50k - fáceis e rápidos de serem obtidos
via Internet - portanto nunca lhe faltarão bons MIDIs para tocar.</para>

<para>Divirta-se com o KMidi !</para>

<para><literal remap="tt">Bernd Johannes Wuebben</literal>,
<ulink url="mailto:wuebben@kde.org">wuebben@kde.org</ulink></para>
</chapter>

<chapter id="instalao">
<title>Instalação</title>

<sect1 id="como-obter-o-kmidi">
<title>Como obter o KMidi</title>

<para>KMidi é parte do projeto KDE  <ulink url="http://www.kde.org">http://www.kde.org</ulink>.
KMidi pode ser encontrado em
<ulink url="ftp://ftp.kde.org/pub/kde/">ftp://ftp.kde.org/pub/kde/</ulink>, o principal site FTP do projeto
KDE. O site base do KMidi é
<ulink url="http://math.cornell.edu/~wuebben/kde.html">http://math.cornell.edu/~wuebben/kde.html</ulink></para>
</sect1>

<sect1 id="pr-requisitos">
<title>Pré-requisitos</title>

<para>Para compilar com sucesso o KMidi, você precisa das últimas versões
de <literal remap="tt">libkdecore</literal> e <literal remap="tt"> libkdeui </literal>. Todas as bibliotecas requeridas
bem como o KMidi em si podem ser encontrados em 
<ulink url="ftp://ftp.kde.org/pub/kde/">ftp://ftp.kde.org/pub/kde/</ulink>. </para>

<para>Para compilar a interface de linha de comando do TiMidity, qualquer sistema
no estilo Unix deve servir, ou mesmo o Windows 95. As outras interfaces têm
requisitos especiais (veja os vários arquivos README na distribuição).
A interface Motif funciona razoavelmente bem com Lesstif.</para>
</sect1>

<sect1 id="compilao-e-instalao">
<title>Compilação e instalação</title>

<para>Se você já tinha o KMidi instalado antes, seria interessante fazer uma
cópia de segurança dos arquivos do diretório de configuração
(geralmente <literal remap="tt">$KDEDIR/share/apps/kmidi/config/</literal>) antes de instalar
uma versão mais atual, visto que certos arquivos podem ser sobrescritos.
Similarmente, antes de instalar a versão não-KDE do TiMidity, faça uma
cópia de segurança de <literal remap="tt">/usr/local/lib/timidity/*</literal>.</para>

<para>Por outro lado, para fazer uma instalação completamente nova, você deve
remover quaisquer diretorios, pois os arquivos antigos podem não ser
sobrepostos pelos novos.</para>

<para>Se você tem o pacote <literal remap="tt">kdemultimedia</literal> inteiro, entre no diretório
<literal remap="tt">kdemultimedia</literal> e</para>

<para><screen>% ./configure
</screen>
</para>

<para>Então, para compilar todos os programas de multimídia, permaneça nesse
diretório; ou para compilar apenas o KMidi, entre no diretório <literal remap="tt">kmidi</literal>
e</para>

<para><screen>% make
% make install
</screen>
</para>

<para>Para a versão não-KDE do TiMidity, edite o arquivo Makefile.tim conforme
requerido (dependendo de qual interface de usuario você quer), então</para>

<para><screen>% make clean
% make -f Makefile.tim
% make -f Makefile.tim install.bin
% make -f Makefile.tim install.lib
% make -f Makefile.tim install.man
</screen>
</para>

<para>Se você tiver problemas, queira reportá-los a mim.</para>
</sect1>

<sect1 id="patches">
<title>Onde eu consigo um conjunto completo de arquivos complementares ?
</title>

<para>Há três tipos de arquivos que KMidi/TiMidity pode usar: GUS, IW e AWE32.
Um conjunto de amostragens e parâmetros para um instrumento estará num
arquivo isolado no caso do formato GUS, porém o formato IW traz varias
amostragens dentro de um único arquivo <literal remap="tt">.dat</literal>, e parâmetros de vários
instrumentos em um único arquivo <literal remap="tt">.fff</literal>. O formato AWE coloca tudo
num único arquivo <literal remap="tt">.sf2</literal> ou <literal remap="tt">.sbk</literal>.</para>

<para>Alguns lugares onde você pode encontrar arquivos GUS:</para>

<para><ulink url="mailto:goemon@anime.net">Dan Hollis</ulink>
criou um conjunto de arquivos. Visite sua página em
<ulink url="http://www.anime.net/~goemon/timidity/">http://www.anime.net/~goemon/timidity</ulink> e
ajude-o a fazer deste o melhor conjunto disponível.</para>

<para><emphasis remap="bf">Novas:</emphasis> Eu copiei o conjunto acima para o site <literal remap="tt">ftp.kde.org</literal>.
Ele pode ser encontrado em
<literal remap="tt">ftp://fiwi02.wiwi.uni-tuebingen.de/pub/kde/stable/Beta2/apps/multimedia/sound/</literal>
mas eu acredito que será movido desse diretório para outros até que
encontremos um bom lugar para ele. Portanto, dê uma olhada geral no site
<literal remap="tt">ftp.kde.org</literal>, se você não puder encontrar o conjunto no local
previamente mencionado.</para>

<para>Os conjuntos também podem ser encontrados empacotados como módulos
<literal remap="tt">rpm</literal> ou <literal remap="tt">deb</literal> no arquivo SunSite:</para>

<para><itemizedlist>
<listitem>
<para> Debian: <ulink url="ftp://sunsite.unc.edu/pub/Linux/./distributions/debian/bo/source/sound/timidity-patches_0.1.tar.gz">timidity-patches_0.1.tar.gz</ulink>
</para>
</listitem>
<listitem>
<para> RPM:
<ulink url="ftp://sunsite.unc.edu/pub/Linux/distributions/redhat/contrib/oldrpms/contrib-2.0.x/RPMS/timidity-patches-1-1.i386.rpm">timidity-patches-1-1.i386.rpm</ulink></para>
</listitem>
<listitem>
<para> RPM:
<ulink url="ftp://sunsite.unc.edu/pub/Linux/distributions/redhat/contrib/oldrpms/contrib-2.0.x/SRPMS/timidity-patches-1-1.src.rpm-try2">timidity-patches-1-1.src.rpm-try2</ulink>
</para>
</listitem>
</itemizedlist>
</para>

<para>Eu não tentei os sites acima (ainda), e pessoalmente uso o conjunto
Midia com alguns arquivos adicionais e dois conjuntos de percussão.</para>

<para>O conjunto Midia pode ser encontrado em:
<ulink url="ftp://archive.cs.umbc.edu/pub/midia/">ftp://archive.cs.umbc.edu/pub/midia/</ulink></para>

<para>Para conjuntos adicionais e conjuntos de percussão: (pegue os
conjuntos <literal remap="tt">gsdrum</literal> e <literal remap="tt">wow</literal>)
<ulink url="ftp://ftp.cdrom.com/pub/gus/sound/patches/files/">ftp://ftp.cdrom.com/pub/gus/sound/patches/files/</ulink></para>

<para>Vincent Pagel criou um conjunto de arquivos. Esse link só funcionará
durante o horário noturno de Paris, o que significa madrugada e
manhãzinha no Brasil:
<ulink url="ftp://sig.enst.fr/pub/midi/instruments/">ftp://sig.enst.fr/pub/midi/instruments/</ulink></para>

<para>O arquivo de configuração que serve para esse conjunto pode ser
encontrado aqui:
<ulink url="ftp://sig.enst.fr/pub/midi/timidity_pagel.cfg">ftp://sig.enst.fr/pub/midi/timidity_pagel.cfg</ulink></para>

<para>Veja a TimidityPage:
<ulink url="http://www.clinet.fi/~toivonen/timidity/">http://www.clinet.fi/~toivonen/timidity/</ulink></para>

<para>e a Takashi's Page:
<ulink url="http://bahamut.mm.t.u-tokyo.ac.jp/~iwai/midi.html#TiMidity">http://bahamut.mm.t.u-tokyo.ac.jp/~iwai/midi.html#TiMidity</ulink></para>

<para>A página de Takashi recomenda o arquivo AWE32 SoundFont de 8MB
<literal remap="tt">chaos8m.sf2</literal> e o arquivo AWE32 SoundFont de 12MB <literal remap="tt">chaos12m.sf2</literal> 
disponíveis em <ulink url="http://soback.kornet.nm.kr/~chaos/sbawe32/sbawe32.htm">http://soback.kornet.nm.kr/~chaos/sbawe32/sbawe32.htm</ulink>,
que são muito bons. (Eles são empacotados como EXEs de
auto-descompressão).</para>

<para>Há vários arquivos IW gratuitos em 
<ulink url="ftp://sdc.wtm.tudelft.nl/pub/music/soundbank/">ftp://sdc.wtm.tudelft.nl/pub/music/soundbank/</ulink>.
O único conjunto IW que eu conheço com arquivos stereo (which
KMidi/TiMidity can play) custa $33 em um CD; veja o site
<ulink url="http://sdc.wtm.tudelft.nl/utopia/">http://sdc.wtm.tudelft.nl/utopia/</ulink>.</para>

<sect2 id="instalao-do-conjunto-de-arquivos-complementa">
<title>Instalação do conjunto de arquivos complementares</title>

<para>Cada um dos conjuntos de arquivos acima (você só precisa de um) deve
vir com um arquivo de configuração <literal remap="tt">.cfg</literal>, semelhante aos arquivos
<literal remap="tt">.cfg</literal> que vêm com o KMidi e residem em 
<literal remap="tt">KDEDIR/share/apps/kmidi/config</literal>  </para>

<para>O KMidi tem arquivos de configuração prontos para aceitar um certo número
de conjuntos de arquivos complementares.</para>

<para>Para completar a instalação de um conjunto completo de arquivos
complementares, edite o arquivo <literal remap="tt">timidity.cfg</literal> e configure-o para aceitar
os arquivos que você conseguiu. (Se você der uma olhada no arquivo
<literal remap="tt">timidity.cfg</literal>, ficará totalmente óbvio do que estou falando).</para>

<para>E é isso aí. Agora você pode seguir em frente e reproduzir os outros
MIDIs que vêm com a distribuição do KMidi (e muitos outros, é claro).</para>
</sect2>

<sect2 id="miscelnea">
<title>Miscelânea</title>

<para>Ocasionalmente você verá que o KMidi não pôde encontrar um arquivo
para determinado instrumento. (Abra a Janela Informações para checar
isso). Nesse caso, o que você tem a fazer é achar por si mesmo o
arquivo em falta e instalá-lo no diretório <literal remap="tt">patch</literal>, e editar
o arquivo <literal remap="tt">.cfg</literal> do conjunto de arquivos complementares, para dizer ao
KMidi que o novo patch está disponível agora.</para>

<para>Às vezes um instrumento em particular não soa lá muito bem.
Nesse caso, basta conseguir um novo conjunto de arquivos complementares
de qualquer um dos arquivos Ultrasound e trocar o arquivo ruim
pelo melhor. Como você pode ver, só depende de você a qualidade
de som dos instrumentos. Você pode até fazer seus próprios
arquivos complementares, usando o utilitário <literal remap="tt">pat2wav</literal> que está
incluído na distribuição do KMidi.</para>
</sect2>
</sect1>
</chapter>

<chapter id="uso">
<title>Uso </title>

<sect1 id="uso-geral">
<title>Uso Geral</title>

<para>Simplesmente clique o botão "eject" para abrir o gerenciador de listas de
reprodução. Selecione um arquivo MIDI clicando duas vezes sobre ele. Para
sua conveniência, eu incluí alguns arquivos MIDI no diretorio <literal remap="tt">midis</literal>
da distribuição.
Para uso real você terá de conseguir um conjuunto completo de arquivos
complementares de som MIDI.</para>
</sect1>

<sect1 id="nomes-de-arquivos-midi">
<title>Nomes de arquivos Midi</title>

<para>KMidi trocará qualquer '&lowbar;' (caractere sublinhado) no arquivo MIDI por 
espaços e retirar o final .mid ou .MID se existir.</para>
</sect1>

<sect1 id="opes-de-linha-de-comando">
<title>Opções de Linha de Comando</title>

<para><screen>wuebben: ./kmidi -h
 KMidi versão 0.3  MIDI para WAVE reprodutor/conversor
 Copyright (C) 1995 Bernd Johannes Wuebben &lt;wuebben@math.cornell.edu&gt;

 KMidi é software gratuito e vem sem ABSOLUTAMENTE NENHUMA GARANTIA.

Uso:
  kmidi [opções] arquivo [...]

Opções:
  -o arq  Saída para outro arquivo (ou dispositivo) (Use "-" para stdout)
  -O modo Selecionar modo de saída e formatação (veja lista abaixo)
  -s f    Mudar freqüência de amostragem para f (Hz ou kHz)
  -a      Habilitar o filtro de "antialiasing" 
  -f      Desliga modo de decaimento rápido
  -p n    Permite polifonia a n vozes
  -A n    Amplificar volume em n % (pode causar clipagem)
  -C n    Muda taxa de amostragem e freqüências de controle

  -L dir  Adiciona dir ao caminho de procura
  -c arq  Ler arquivo de configuração extra
  -I n    Usar programa n como padrão
  -P arq  Usa arquivo complementar para todos os programas
  -D n    Reproduzir percussão no canal n
  -Q n    Ignorar canal n
  -F      Habilitar fast panning
  -U      Descarregar instrumentos da memória entre um MIDI e outro

  -i modo Selecionar interface de usuário (veja lista abaixo)
  -B n    Muda número de fragmentos de buffer para n
  -h      Mostra essa mensagem de ajuda

Modos disponíveis de saída: (opção -O):

  -Od     Dispositivo dsp Linux
  -Ow     Arquivo RIFF WAVE (.wav)
  -Or     Forma de onda simples

Opções de formato de saída (adicione à opção -O?):

   `8'    amostragem a 8 bits
   `1'    amostragem a 16 bits
   `U'    codificação uLaw
   `l'    codificação linear
   `M'    monofônico
   `S'    estéreo
   `s'    saída com sinal (positivo/negativo) 
   `u'    saída sem sinal
   `x'    saída com byte trocado

Interfaces disponíveis (opção -i):

  -iq     interface KMidi/Qt
  -id     interface terminal

Opções de Interface (adicione à opção -i?):

   `v'    Mais mensagens (cumulativo)
   `q'    Menos mensagens (cumulativo)
   `t'    "trace playing"

</screen>
</para>
</sect1>
</chapter>

<chapter id="perguntas-e-respostas">
<title>Perguntas e Respostas</title>

<sect1 id="onde-conseguir-todos-os-arquivos-de-som">
<title>Onde conseguir todos os arquivos de som ?</title>

<para>Queira ir à <link linkend="patches">seção</link> correspondente
no capítulo de instalação do KMidi.</para>
</sect1>
</chapter>

<chapter id="copyright">
<title>Copyright</title>

<para><screen>
KMidi Copyright 1997 Bernd Johannes Wuebben &lt;wuebben@math.cornell.edu&gt;

KMidi usa o programa TiMidity 0.2i de Tuukka Toivonen.
Copyright (C) 1995 Tukka Toivonen &lt;toivonen@clinet.fi&gt;

Arquivos complementares de som de
Takashi Iwai &lt;iwai@dragon.mm.t.u-tokyo.ac.jp&gt;

Este programa é software gratuito; voce pode redistribuí-lo e/ou
modificá-lo sob os termos da Licença Pública Geral GNU conforme
publicada pela Free Software Foundation; seja a versão 2 da Licença,
ou (à sua escolha) qualquer versão posterior.

Este programa é distribuído na esperança de que será útil,
porem SEM QUALQUER GARANTIA; desprovido inclusive da garantia implícita
de MERCANTIBILIDADE ou APLICABILIDADE PARA UM PROPÓSITO EM PARTICULAR.
Veja a Licença Pública Geral para maiores detalhes.

Você deve ter recebido uma cópia da Licença Pública Geral GNU
junto com este programa; se não, escreva para Free Software Foundation,
Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

</screen>
</para>
</chapter>
<![ %addindex; [ &docindex; ]]>
</book>
<!--
Local Variables:
mode: sgml
sgml-omittag: nil
sgml-shorttag: t
sgml-general-insert-case: lower
End:
-->
